.if	ctype == 88
    .equ	UDR0	= 0xc6	
    .equ	UBRR0L	= 0xc4	
    .equ	UBRR0H	= 0xc5	
    .equ	UCSR0C	= 0xc2	
    .equ	UCSR0B	= 0xc1	
    .equ	UCSR0A	= 0xc0	
    .equ	TWAMR	= 0xbd	
    .equ	TWCR	= 0xbc	
    .equ	TWDR	= 0xbb	
    .equ	TWAR	= 0xba	
    .equ	TWSR	= 0xb9	
    .equ	TWBR	= 0xb8	
    .equ	ASSR	= 0xb6	
    .equ	OCR2B	= 0xb4	
    .equ	OCR2A	= 0xb3	
    .equ	TCNT2	= 0xb2	
    .equ	TCCR2B	= 0xb1	
    .equ	TCCR2A	= 0xb0	
    .equ	OCR1BL	= 0x8a	
    .equ	OCR1BH	= 0x8b	
    .equ	OCR1AL	= 0x88	
    .equ	OCR1AH	= 0x89	
    .equ	ICR1L	= 0x86	
    .equ	ICR1H	= 0x87	
    .equ	TCNT1L	= 0x84	
    .equ	TCNT1H	= 0x85	
    .equ	TCCR1C	= 0x82	
    .equ	TCCR1B	= 0x81	
    .equ	TCCR1A	= 0x80	
    .equ	DIDR1	= 0x7f	
    .equ	DIDR0	= 0x7e	
    .equ	ADMUX	= 0x7c	
    .equ	ADCSRB	= 0x7b	
    .equ	ADCSRA	= 0x7a	
    .equ	ADCH	= 0x79	
    .equ	ADCL	= 0x78	
    .equ	TIMSK2	= 0x70	
    .equ	TIMSK1	= 0x6f	
    .equ	TIMSK0	= 0x6e	
    .equ	PCMSK1	= 0x6c	
    .equ	PCMSK2	= 0x6d	
    .equ	PCMSK0	= 0x6b	
    .equ	EICRA	= 0x69	
    .equ	PCICR	= 0x68	
    .equ	OSCCAL	= 0x66	
    .equ	PRR	= 0x64	
    .equ	CLKPR	= 0x61	
    .equ	WDTCSR	= 0x60	
    .equ	SPL	= 0x3d
    .equ	SPH	= 0x3e
    .equ	SPMCSR	= 0x37
    .equ	MCUCR	= 0x35
    .equ	MCUSR	= 0x34
    .equ	SMCR	= 0x33
    .equ	ACSR	= 0x30
    .equ	SPDR	= 0x2e
    .equ	SPSR	= 0x2d
    .equ	SPCR	= 0x2c
    .equ	GPIOR2	= 0x2b
    .equ	GPIOR1	= 0x2a
    .equ	OCR0B	= 0x28
    .equ	OCR0A	= 0x27
    .equ	TCNT0	= 0x26
    .equ	TCCR0B	= 0x25
    .equ	TCCR0A	= 0x24
    .equ	GTCCR	= 0x23
    .equ	EEARH	= 0x22
    .equ	EEARL	= 0x21
    .equ	EEDR	= 0x20
    .equ	EECR	= 0x1f
    .equ	GPIOR0	= 0x1e
    .equ	EIMSK	= 0x1d
    .equ	EIFR	= 0x1c
    .equ	PCIFR	= 0x1b
    .equ	TIFR2	= 0x17
    .equ	TIFR1	= 0x16
    .equ	TIFR0	= 0x15
    .equ	PORTD	= 0x0b
    .equ	DDRD	= 0x0a
    .equ	PIND	= 0x09
    .equ	PORTC	= 0x08
    .equ	DDRC	= 0x07
    .equ	PINC	= 0x06
    .equ	PORTB	= 0x05
    .equ	DDRB	= 0x04
    .equ	PINB	= 0x03
.endif
    
.if ctype == 08
    .equ	SPH	= 0x3e
    .equ	SPL	= 0x3d
    .equ	GICR	= 0x3b
    .equ	GIFR	= 0x3a
    .equ	TIMSK	= 0x39
    .equ	TIFR	= 0x38
    .equ	SPMCR	= 0x37
    .equ    	TWCR    = 0x36
    .equ   	MCUCR  	= 0x35
    .equ    	MCUCSR  = 0x34
    .equ	TCCR0	= 0x33
    .equ	TCNT0	= 0x32
    .equ    	OSCCAL  = 0x31
    .equ    	SFIOR   = 0x30
    .equ	TCCR1A	= 0x2f
    .equ	TCCR1B	= 0x2e
    .equ	TCNT1H	= 0x2d
    .equ	TCNT1L	= 0x2c
    .equ	OCR1AH	= 0x2b
    .equ	OCR1AL	= 0x2a
    .equ	OCR1BH	= 0x29
    .equ	OCR1BL	= 0x28
    .equ	ICR1H	= 0x27
    .equ	ICR1L	= 0x26
    .equ	TCCR2	= 0x25
    .equ	TCNT2	= 0x24
    .equ	OCR2	= 0x23
    .equ	ASSR	= 0x22
    .equ	WDTCR	= 0x21
    .equ        UBRRH   = 0x20
    .equ	EEARH	= 0x1f
    .equ	EEARL	= 0x1e
    .equ	EEDR	= 0x1d
    .equ	EECR	= 0x1c
    .equ	PORTB	= 0x18
    .equ	DDRB	= 0x17
    .equ	PINB	= 0x16
    .equ	PORTC	= 0x15
    .equ	DDRC	= 0x14
    .equ	PINC	= 0x13
    .equ	PORTD	= 0x12
    .equ	DDRD	= 0x11
    .equ	PIND	= 0x10
    .equ	SPDR	= 0x0f
    .equ	SPSR	= 0x0e
    .equ	SPCR	= 0x0d
    .equ	UDR	= 0x0c
    .equ	UCSRA	= 0x0b
    .equ	UCSRB	= 0x0a
    .equ	UCSRC	= 0x20
    .equ	UBRRL	= 0x09
    .equ	ACSR	= 0x08
    .equ    	ADMUX   = 0x07
    .equ    	ADCSR   = 0x06
    .equ    	ADCH    = 0x05
    .equ    	ADCL    = 0x04
    .equ    	TWDR    = 0x03
    .equ    	TWAR    = 0x02
    .equ    	TWSR    = 0x01
    .equ    	TWBR    = 0x00
.endif

.if	ctype == 8515
    .equ	SREG	= 0x3f
    .equ	SPL	= 0x3d
    .equ	SPH	= 0x3e
    .equ	GICR	= 0x3b
    .equ	GIFR	= 0x3a
    .equ	TIMSK	= 0x39
    .equ	TIFR	= 0x38
    .equ	SPMCR	= 0x37
    .equ	EMCUCR	= 0x36
    .equ	MCUCR	= 0x35
    .equ	MCUCSR	= 0x34
    .equ	TCCR0	= 0x33
    .equ	TCNT0	= 0x32
    .equ	OCR0	= 0x31
    .equ	SFIOR	= 0x30
    .equ	TCCR1A	= 0x2f
    .equ	TCCR1B	= 0x2e
    .equ	TCNT1L	= 0x2c
    .equ	TCNT1H	= 0x2d
    .equ	OCR1AL	= 0x2a
    .equ	OCR1AH	= 0x2b
    .equ	OCR1BL	= 0x28
    .equ	OCR1BH	= 0x29
    .equ	ICR1L	= 0x24
    .equ	ICR1H	= 0x25
    .equ	WDTCR	= 0x21
    .equ	UBRRH	= 0x20
    .equ	UCSRC	= 0x20
    .equ	EEARL	= 0x1e
    .equ	EEARH	= 0x1f
    .equ	EEDR	= 0x1d
    .equ	EECR	= 0x1c
    .equ	PORTA	= 0x1b
    .equ	DDRA	= 0x1a
    .equ	PINA	= 0x19
    .equ	PORTB	= 0x18
    .equ	DDRB	= 0x17
    .equ	PINB	= 0x16
    .equ	PORTC	= 0x15
    .equ	DDRC	= 0x14
    .equ	PINC	= 0x13
    .equ	PORTD	= 0x12
    .equ	DDRD	= 0x11
    .equ	PIND	= 0x10
    .equ	SPDR	= 0x0f
    .equ	SPSR	= 0x0e
    .equ	SPCR	= 0x0d
    .equ	UDR	= 0x0c
    .equ	UCSRA	= 0x0b
    .equ	UCSRB	= 0x0a
    .equ	UBRRL	= 0x09
    .equ	ACSR	= 0x08
    .equ	PORTE	= 0x07
    .equ	DDRE	= 0x06
    .equ	PINE	= 0x05
    .equ	OSCCAL	= 0x04
.endif

.if	ctype == 16
    .equ	SREG	=0x3f
    .equ	SPH	=0x3e
    .equ	SPL	=0x3d
    .equ	OCR0	=0x3c
    .equ	GICR	=0x3b
    .equ	GIFR	=0x3a
    .equ	TIMSK	=0x39
    .equ	TIFR	=0x38
    .equ	SPMCR	=0x37
    .equ	TWCR    =0x36
    .equ	MCUCR   =0x35
    .equ	MCUCSR	=0x34
    .equ	TCCR0	=0x33
    .equ	TCNT0	=0x32
    .equ	OSCCAL  =0x31
    .equ	SFIOR   =0x30
    .equ	TCCR1A	=0x2f
    .equ	TCCR1B	=0x2e
    .equ	TCNT1H	=0x2d
    .equ	TCNT1L	=0x2c
    .equ	OCR1AH	=0x2b
    .equ	OCR1AL	=0x2a
    .equ	OCR1BH	=0x29
    .equ	OCR1BL	=0x28
    .equ	ICR1H	=0x27
    .equ	ICR1L	=0x26
    .equ	TCCR2	=0x25
    .equ	TCNT2	=0x24
    .equ	OCR2	=0x23
    .equ	ASSR	=0x22
    .equ	WDTCR	=0x21
    .equ	UBRRH   =0x20
    .equ	UCSRC	=0x20
    .equ	EEARH	=0x1f
    .equ	EEARL	=0x1e
    .equ	EEDR	=0x1d
    .equ	EECR	=0x1c
    .equ	PORTA	=0x1b
    .equ	DDRA	=0x1a
    .equ	PINA	=0x19
    .equ	PORTB	=0x18
    .equ	DDRB	=0x17
    .equ	PINB	=0x16
    .equ	PORTC	=0x15
    .equ	DDRC	=0x14
    .equ	PINC	=0x13
    .equ	PORTD	=0x12
    .equ	DDRD	=0x11
    .equ	PIND	=0x10
    .equ	SPDR	=0x0f
    .equ	SPSR	=0x0e
    .equ	SPCR	=0x0d
    .equ	UDR	=0x0c
    .equ	UCSRA	=0x0b
    .equ	UCSRB	=0x0a
    .equ	UBRRL	=0x09
    .equ	ACSR	=0x08
    .equ	ADMUX   =0x07
    .equ	ADCSR   =0x06
    .equ	ADCH    =0x05
    .equ	ADCL    =0x04
    .equ	TWDR    =0x03
    .equ	TWAR    =0x02
    .equ	TWSR    =0x01
    .equ	TWBR    =0x00
.endif

.def	XL	= r26
.def	XH	= r27
.def	YL	= r28
.def	YH	= r29
.def	ZL	= r30
.def	ZH	= r31

.equ	I2CR    = TWCR
.equ	I2DR    = TWDR
.equ	I2AR    = TWAR
.equ	I2SR    = TWSR
.equ	I2BR    = TWBR
.equ	SREG	= 0x3f
